summaryrefslogtreecommitdiff
path: root/debian/init
diff options
context:
space:
mode:
authorstephanchrst <stephanchrst@gmail.com>2022-05-10 21:51:50 +0700
committerstephanchrst <stephanchrst@gmail.com>2022-05-10 21:51:50 +0700
commit3751379f1e9a4c215fb6eb898b4ccc67659b9ace (patch)
treea44932296ef4a9b71d5f010906253d8c53727726 /debian/init
parent0a15094050bfde69a06d6eff798e9a8ddf2b8c21 (diff)
initial commit 2
Diffstat (limited to 'debian/init')
-rw-r--r--debian/init73
1 files changed, 73 insertions, 0 deletions
diff --git a/debian/init b/debian/init
new file mode 100644
index 00000000..a5dc4af7
--- /dev/null
+++ b/debian/init
@@ -0,0 +1,73 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides: odoo
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start odoo daemon at boot time
+# Description: Enable service provided by daemon.
+# X-Interactive: true
+### END INIT INFO
+## more info: http://wiki.debian.org/LSBInitScripts
+
+. /lib/lsb/init-functions
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
+DAEMON=/usr/bin/odoo
+NAME=odoo
+DESC=odoo
+CONFIG=/etc/odoo/odoo.conf
+LOGFILE=/var/log/odoo/odoo-server.log
+PIDFILE=/var/run/${NAME}.pid
+USER=odoo
+export LOGNAME=$USER
+
+test -x $DAEMON || exit 0
+set -e
+
+function _start() {
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --chuid $USER:$USER --background --make-pidfile --exec $DAEMON -- --config $CONFIG --logfile $LOGFILE
+}
+
+function _stop() {
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo --retry 3
+ rm -f $PIDFILE
+}
+
+function _status() {
+ start-stop-daemon --status --quiet --pidfile $PIDFILE
+ return $?
+}
+
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ _start
+ echo "ok"
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ _stop
+ echo "ok"
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ _stop
+ sleep 1
+ _start
+ echo "ok"
+ ;;
+ status)
+ echo -n "Status of $DESC: "
+ _status && echo "running" || echo "stopped"
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0